Bug 1249780 - Review Request: python3-curses_ex - Provide additional curses functions
Review Request: python3-curses_ex - Provide additional curses functions
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: René Ribaud
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1249786
  Show dependency treegraph
 
Reported: 2015-08-03 15:44 EDT by William Moreno
Modified: 2015-11-22 19:24 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-22 19:24:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rene.ribaud: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description William Moreno 2015-08-03 15:44:34 EDT
Spec URL: https://williamjmorenor.fedorapeople.org/rpmdev/python-curses_ex.spec
SRPM URL: https://williamjmorenor.fedorapeople.org/rpmdev/python-curses_ex-0.3-0.fc22.src.rpm
Description: Provide additional curses functions
Fedora Account System Username: williamjmorenor
Comment 1 Eduardo Mayorga 2015-08-03 18:07:59 EDT
Just reading the spec one can make some remarks:

- If you do not build anything for Python 2, you could simply call the package python3-curses_ex without subpackages.

- Using %python_provide is a must. Provides: python3-curses_ex is not needed because of the package name; it's done automatically.

- You can drop BuildRequires:  gcc.

- License text not included.
Comment 2 William Moreno 2015-08-03 23:34:33 EDT
Spec URL: https://williamjmorenor.fedorapeople.org/rpmdev/python3-curses_ex.spec
SRPM URL: https://williamjmorenor.fedorapeople.org/rpmdev/python3-curses_ex-0.3-1.fc22.src.rpm
Description: Provide additional curses functions
Fedora Account System Username: williamjmorenor
Comment 4 Eduardo Mayorga 2015-08-03 23:49:45 EDT
Where is the license text?
Comment 5 William Moreno 2015-10-02 19:28:00 EDT
It is patched
Comment 6 William Moreno 2015-11-05 17:26:13 EST
Thanks for the review, if you need a review please ping me.
Comment 7 René Ribaud 2015-11-06 03:43:56 EST
Hello William,

Here is my review of this package.

To my mind, the license is not BSD but MIT.
Gcc is not required to build the package and can be removed.

Otherwise that looks fine.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Permissions on files are set properly.
  Note: See rpmlint output
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#FilePermissions
- All build dependencies are listed in BuildRequires, except for any that
  are listed in the exceptions section of Packaging Guidelines.
  Note: These BR are not needed: gcc
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#Exceptions_2


===== MUST items =====

C/C++:
[-]: Package does not contain kernel modules.
[-]: Package contains no static executables.
[-]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[?]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "Unknown or generated". 4 files have
     unknown license. Detailed output of licensecheck in
     /home/uggla/rpmbuild/SPECS/1249780-python3-curses_ex/licensecheck.txt
[-]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[-]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[-]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python3-curses_ex-0.3-1.fc24.x86_64.rpm
          python3-curses_ex-0.3-1.fc24.src.rpm
python3-curses_ex.x86_64: E: non-standard-executable-perm /usr/lib64/python3.4/site-packages/curses_ex.cpython-34m.so 775
2 packages and 0 specfiles checked; 1 errors, 0 warnings.




Rpmlint (debuginfo)
-------------------
Checking: python3-curses_ex-debuginfo-0.3-1.fc24.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
python3-curses_ex.x86_64: E: non-standard-executable-perm /usr/lib64/python3.4/site-packages/curses_ex.cpython-34m.so 775
2 packages and 0 specfiles checked; 1 errors, 0 warnings.



Requires
--------
python3-curses_ex (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    libncurses.so.6()(64bit)
    libpthread.so.0()(64bit)
    libpython3.4m.so.1.0()(64bit)
    libtinfo.so.6()(64bit)
    ncurses
    python(abi)
    rtld(GNU_HASH)



Provides
--------
python3-curses_ex:
    python3-curses_ex
    python3-curses_ex(x86-64)



Unversioned so-files
--------------------
python3-curses_ex: /usr/lib64/python3.4/site-packages/curses_ex.cpython-34m.so

Source checksums
----------------
https://pypi.python.org/packages/source/c/curses_ex/curses_ex-0.3.tar.gz :
  CHECKSUM(SHA256) this package     : 01a54bab0009bb54c57857c908d802898d0c9a368398f7778d49b2f0bbe2d5a1
  CHECKSUM(SHA256) upstream package : 01a54bab0009bb54c57857c908d802898d0c9a368398f7778d49b2f0bbe2d5a1


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -b 1249780 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api, C/C++
Disabled plugins: Java, SugarActivity, fonts, Haskell, Ocaml, Perl, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 8 Gwyn Ciesla 2015-11-06 07:44:51 EST
Package request has been denied with the reason: fedora-review flag is no `+` but is still `?`
Comment 9 Gwyn Ciesla 2015-11-06 07:45:11 EST
Package request has been denied with the reason: fedora-review flag is no `+` but is still `?`
Comment 10 Gwyn Ciesla 2015-11-06 07:45:33 EST
Package request has been denied with the reason: fedora-review flag is no `+` but is still `?`
Comment 11 Gwyn Ciesla 2015-11-06 07:46:00 EST
Package request has been denied with the reason: fedora-review flag is no `+` but is still `?`
Comment 12 Upstream Release Monitoring 2015-11-06 14:42:19 EST
williamjmorenor's scratch build of python3-curses_ex-0.3-1.fc24.src.rpm for epel7 failed http://koji.fedoraproject.org/koji/taskinfo?taskID=11730365
Comment 13 William Moreno 2015-11-06 14:48:24 EST
Spec URL: https://williamjmorenor.fedorapeople.org/rpmdev/python3-curses_ex.spec
SRPM URL: https://williamjmorenor.fedorapeople.org/rpmdev/python3-curses_ex-0.3-2.fc24.src.rpm

----
- From review: Remove gcc build requires
- From review: Fix License tag
Comment 14 Upstream Release Monitoring 2015-11-06 14:48:25 EST
williamjmorenor's scratch build of python3-curses_ex-0.3-1.fc24.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=11730394
Comment 15 René Ribaud 2015-11-09 03:46:38 EST
Hello William,

Package looks good to me.
Comment 16 Gwyn Ciesla 2015-11-09 10:37:41 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/python3-curses_ex
Comment 17 Fedora Update System 2015-11-09 15:32:37 EST
python3-curses_ex-0.3-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-0e02a9edad
Comment 18 Fedora Update System 2015-11-10 21:23:56 EST
python3-curses_ex-0.3-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update python3-curses_ex'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-0e02a9edad
Comment 19 Fedora Update System 2015-11-22 19:24:52 EST
python3-curses_ex-0.3-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.